Infrastructure Update, August Update, October Update, Service Pack 2


update (December Update):

The December Update was released recently and is a real cumulative update which simplifies installation quite a bit. Read more about it here: SharePoint 2007- December Update

 

It's hard to keep up with the updates for SharePoint these days.

Only yesterday I upped one of our servers to August Cumulative Update (link) and the very same day a post about the October Cumulative Update (link) appears.

Can't wait for Service Pack 2 (link) to bundle all previous fixes into a single package.

update:

Figured I'd post my own rundown on this (compiled using the information from the above links) and a screen of the corresponding hotfixes. Don't worry about the 6 different languages; that's just because some of our setups have them as language pack.

Installation order

01. WSS 3.0 SP1 (x86, x64)
    > Language Pack SP1 (x86, x64) is advised for all LPs

02. MOSS 2007 SP1 (x86, x64)
    > Language Pack SP1 (x86, x64) is advised for all LPs

03. The WSS 3.0 Infrastructure Update (x86, x64)
    > not language specific (the download is identical for all languages)

04. MOSS 2007 Infrastructure Update (x86, x64)
    > not language specific (the download is identical for all languages)

05. KB953397: Excel Server Security Update (Global) (x86, x64)
    > not language specific

06. KB955586: Document Lifecycle Workflow Update (x86, x64)
    > not language specific (even though filename mentions en-US)

07. KB956057: August Cumulative Update for WSS 3.0 (Global) (x86 only)
    > not language specific

08. KB957109: August Cumulative Update for WSS 3.0 (Local) (x86, x64)
    > must be installed for each SKU or LP language

09. KB956056: August Cumulative Update for MOSS 2007 (Global) (x86 only)
    > not language specific

10. KB957691: October Cumulative Update for WSS 3.0 (Global) (x86 only)
    > not language specific

11. KB957693: October Cumulative Update for MOSS 2007 (Global) (x86 only)
    > not language specific

12. KB958567: October Cumulative Update for MOSS (Local) (x86, x64)
    > must be installed for each SKU or LP language

13. KB958569: October Cumulative Update for MOSS 2007 Workflow (Global) (x86 only)
    > not language specific

 

Q & A

Q. Is the WSS Language Pack a prerequisite for the MOSS Language Pack ?
A. No, the WSS Language Pack is required only for standalone WSS installations. Yes, as cleverly noted in the comments by Peter Depoorter the following article (link) mentioning this requirement. Thanks Peter !

Q. Do all Language Packs need to be the same level (eg. SP 1) as each other or the main product ?
A. You can mix different levels of Language Packs but needless to say it is best to have the latest version of all.

Q. Is there an Infrastructure Update or Cumulative Update for Language Packs ?
A. At current the latest Language Pack level is SP1. There are no IU, ACU or OCU updates for the Language Packs yet.

Q. Some hotfixes are only for 32bit (x86) so where can I find the 64bit variant ?
A. If there's no 64bit version listed then it only applies to 32bit setups.

Q. I'm getting "The expected version of the product was not found on your system" when running update X ?
A. We've seen this twice and it was due to Language Packs not having SP1 applied. So make sure all (both WSS and MOSS) language packs are updated to the latest version.

Hope this clears things up a bit !

 


Links to this post

Comments

Friday, 31 Oct 2008 04:22 by Peter Depoorter
Hey Steven, Thanks for the enumeration, but I have some doubts about your first recommendation. In my opinion, the WSS Language Pack is required for MOSS. If you don’t install the WSS Language Pack, there will be problems with the Content Editor web part and maybe some other things will not work as expected. See the following KB; http://technet.microsoft.com/en-us/library/cc298579.aspx Peter

Friday, 21 Nov 2008 10:16 by rose
how about if you install MOSS IU first before MOSS SP1? Can you still install SP1 on top of IU?

Monday, 24 Nov 2008 02:17 by Steven Van de Craen
Rose, it is possible but not adviseable. IIRC you can install IU before SP1 but then it is still required again for updating the SP1 files. So to be current you'd need: MOSS > IU > SP1 > IU

CAPTCHA Image Validation